package com.yeejoin.amos.boot.module.ugp.biz.service.impl;

import com.yeejoin.amos.boot.module.ugp.api.dto.InstallNoticeMsgPageDto;
import com.yeejoin.amos.boot.module.ugp.api.entity.InstallNoticeMsg;
import com.yeejoin.amos.boot.module.ugp.api.mapper.InstallNoticeMsgMapper;
import com.yeejoin.amos.boot.module.ugp.api.service.IInstallNoticeMsgService;
import com.yeejoin.amos.boot.module.ugp.api.dto.InstallNoticeMsgDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.typroject.tyboot.core.rdbms.service.BaseService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import java.util.List;

/**
 * 项目安装告知短信记录表服务实现类
 *
 * @author system_generator
 * @date 2022-09-22
 */
@Service
public class InstallNoticeMsgServiceImpl extends BaseService<InstallNoticeMsgDto,InstallNoticeMsg,InstallNoticeMsgMapper> implements IInstallNoticeMsgService {

    @Autowired
    InstallNoticeMsgMapper installNoticeMsgMapper;
    /**
     * 分页查询
     */
    public Page<InstallNoticeMsgDto> queryForInstallNoticeMsgPage(Page<InstallNoticeMsgDto> page)   {
        return this.queryForPage(page, null, false);
    }

    /**
     * 列表查询 示例
     */
    public List<InstallNoticeMsgDto> queryForInstallNoticeMsgList()   {
        return this.queryForList("" , false);
    }

    /**
     * 项目安装告知短信通知记录分页查询
     */
    @Override
    public  Page<InstallNoticeMsgPageDto> installNoticeMsgList(Page<InstallNoticeMsgPageDto> page, String name, String installationUnit){
        return this.getBaseMapper().InstallNoticeMsgPage(page, name, installationUnit);
    }

    @Override
    public Page<InstallNoticeMsgPageDto> selectByName(Page<InstallNoticeMsgPageDto> page, String name, String unit) {
        return this.getBaseMapper().selectByName(page, name, unit);
    }

    @Override
    public InstallNoticeMsgPageDto customSelectById(Long sequenceNbr) {
        return this.getBaseMapper().customSelectById(sequenceNbr);
    }
}